Apply by doing:
	cd /usr/src
	patch -p0 < 004_isakmpd.patch

And the rebuild isakmpd:
	cd sbin/isakmpd
	make obj
	make depend
	make
	make install

Index: sbin/isakmpd/pf_key_v2.c
===================================================================
RCS file: /cvs/src/sbin/isakmpd/pf_key_v2.c,v
retrieving revision 1.50
diff -u -r1.50 pf_key_v2.c
--- sbin/isakmpd/pf_key_v2.c	2001/04/24 07:27:37	1.50
+++ sbin/isakmpd/pf_key_v2.c	2001/06/05 21:27:30
@@ -1215,7 +1215,7 @@
 	    goto cleanup;
 
 	  sid->sadb_ident_len = ((sizeof *sid) / PF_KEY_V2_CHUNK)
-	    + PF_KEY_V2_ROUND (srcid_len) / PF_KEY_V2_CHUNK;
+	    + PF_KEY_V2_ROUND (srcid_len + 1) / PF_KEY_V2_CHUNK;
 	  sid->sadb_ident_exttype = SADB_EXT_IDENTITY_SRC;
 	  sid->sadb_ident_type = srcid_type;
 
@@ -1237,7 +1237,7 @@
 	    goto cleanup;
 
 	  sid->sadb_ident_len = ((sizeof *sid) / PF_KEY_V2_CHUNK)
-	    + PF_KEY_V2_ROUND (dstid_len) / PF_KEY_V2_CHUNK;
+	    + PF_KEY_V2_ROUND (dstid_len + 1) / PF_KEY_V2_CHUNK;
 	  sid->sadb_ident_exttype = SADB_EXT_IDENTITY_DST;
 	  sid->sadb_ident_type = dstid_type;
 
